# Game: Lavafloor Main

team modify players friendlyFire true
gamerule doFireTick true
gamerule randomTickSpeed 50
fill 151 32 151 121 30 121 air replace fire

execute as @a at @s unless block ~ ~ ~ lava run effect give @s resistance 1 255 true
execute as @a at @s if block ~ ~ ~ lava run effect clear @s resistance

execute as @e[type=area_effect_cloud,tag=lava] at @s if block ~ ~ ~ air if block ~ ~29 ~ gray_concrete run tag @s add lava1
execute as @e[type=area_effect_cloud,tag=lava] at @s if block ~ ~ ~ air if block ~ ~29 ~ yellow_terracotta run tag @s add lava2
execute as @e[type=area_effect_cloud,tag=lava] at @s if block ~ ~ ~ air if block ~ ~29 ~ orange_terracotta run tag @s add lava3
execute as @e[type=area_effect_cloud,tag=lava] at @s if block ~ ~ ~ air if block ~ ~29 ~ red_terracotta run tag @s add lava4
execute as @e[type=area_effect_cloud,tag=lava,tag=lava1] at @s run setblock ~ ~29 ~ yellow_terracotta
execute as @e[type=area_effect_cloud,tag=lava,tag=lava1] at @s run setblock ~ ~ ~ fire
execute as @e[type=area_effect_cloud,tag=lava,tag=lava2] at @s run setblock ~ ~29 ~ orange_terracotta
execute as @e[type=area_effect_cloud,tag=lava,tag=lava2] at @s run setblock ~ ~ ~ fire
execute as @e[type=area_effect_cloud,tag=lava,tag=lava3] at @s run setblock ~ ~29 ~ red_terracotta
execute as @e[type=area_effect_cloud,tag=lava,tag=lava3] at @s run setblock ~ ~ ~ fire
execute as @e[type=area_effect_cloud,tag=lava,tag=lava4] at @s run setblock ~ ~29 ~ lava
execute if entity @e[type=area_effect_cloud,tag=lava,tag=lava4] run scoreboard players add lavaPlaced statistics 1
execute as @e[type=area_effect_cloud,tag=lava] run data merge entity @s {Tags:["lava"]}

tag @a[scores={death=0},limit=1] add finish
execute unless entity @a[scores={death=0},tag=!finish] run tag @a[tag=finish] add winner
execute unless entity @a[scores={death=0},tag=!finish] run title @a title ["",{"selector":"@a[tag=winner]","color":"dark_green"}]
execute unless entity @a[scores={death=0},tag=!finish] run title @a subtitle [{"text":"won ","color":"gray"},{"score":{"objective":"gameData","name":"pointsRewarded"},"color":"gold"},{"text":" points","color":"gray"}]
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation @a[tag=winner] points += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation @a[tag=winner] totalPoints += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players operation totalPoints statistics += pointsRewarded gameData
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players add @a[tag=winner] roundsWon 1
execute unless entity @a[scores={death=0},tag=!finish] run function other:floorreset
execute unless entity @a[scores={death=0},tag=!finish] at @e[type=area_effect_cloud,tag=lava] run setblock ~ ~ ~ air
execute unless entity @a[scores={death=0},tag=!finish] run tellraw @a ["",{"text":"- ","color":"gold"},{"selector":"@a[tag=winner,limit=1]","color":"dark_green"},{"text":" is a true master at \"The Floor Is Lava\"!","color":"gray"}]
execute unless entity @a[scores={death=0},tag=!finish] run scoreboard players set inGame gameData 0
tag @a[tag=finish] remove finish